geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sachin Patel <sppat...@gmail.com>
Subject Re: Build Failed in Openejb builder
Date Wed, 11 Apr 2007 13:19:04 GMT
Actually, jaxb should to be downgraded to 2.0.0.

-sachin


On Apr 11, 2007, at 6:00 AM, Kevan Miller wrote:

>
> On Apr 11, 2007, at 5:45 AM, Lasantha Ranaweera wrote:
>
>> Kevan,
>>
>> Thanks for the reply.
>>
>> Yes now it is over and CXF gives following.
>>
>> Missing:
>> ----------
>> 1) com.sun.xml.bind:jaxb-impl:jar:2.0.5
>>
>> Try downloading the file manually from the project website.
>>
>> Then, install it using the command:
>> mvn install:install-file -DgroupId=com.sun.xml.bind - 
>> DartifactId=jaxb-impl \
>> -Dversion=2.0.5 -Dpackaging=jar -Dfile=/path/to/file
>>
>> Path to dependency:
>> 1) org.apache.geronimo.modules:geronimo-cxf:jar:2.0-SNAPSHOT
>> 2) org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.0-incubator-RC-SNAPSHOT
>> 3) org.apache.cxf:cxf-tools-common:jar:2.0-incubator-RC-SNAPSHOT
>> 4) com.sun.xml.bind:jaxb-impl:jar:2.0.5
>
> Lasantha,
> The following should fix your immediate problem.
>
> edit geronimo/server/trunk/pom.xml
> search for jaxb-impl
> change the <version> from 2.0.3 to 2.0.5.
>
> I'm guessing that this is a pretty safe upgrade. However, I'll let  
> someone more familiar with our jaxb usage make the change...
>
> --kevan


Mime
View raw message